Last Comment Bug 696305 - Suppress all current failures in Linux Valgrind jobs
: Suppress all current failures in Linux Valgrind jobs
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: General (show other bugs)
: Trunk
: x86 Linux
: -- normal with 1 vote (vote)
: ---
Assigned To: Gary Kwong [:gkw] [:nth10sd]
:
:
Mentors:
Depends on: 696293 696297 696298 696299
Blocks: 696302 valgrind-on-tbpl
  Show dependency treegraph
 
Reported: 2011-10-20 19:31 PDT by Jesse Ruderman
Modified: 2012-10-11 14:43 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
jesse's valgrind suppression file (for fuzzing) (15.55 KB, text/plain)
2011-10-20 19:35 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2011-10-20 19:31:41 PDT
Suppress all current failures in Valgrind jobs. Both our bugs (which need bug reports in Bugzilla) and bugs in system libraries.

Notes:

* Suppressions go in mozilla/build/valgrind/.

* Use "..." when you don't care about part of the stack.
** Useful when a function is inlined on one system but not on another.
** Useful when a function and its callees all use uninitialized memory.

* In rare cases, you may wish to suppress errors from an entire library, even though you have symbols for that library. --xml=yes can help here by showing the name of the library, which you can prefix with "obj:".

Once we have the current failures suppressed, we'll have something whose color we can watch :)
Comment 1 Jesse Ruderman 2011-10-20 19:35:00 PDT
Created attachment 568585 [details]
jesse's valgrind suppression file (for fuzzing)

About a year old. Not sure how useful this is.
Comment 2 Julian Seward [:jseward] 2012-04-30 12:10:25 PDT
Turns out V tended to report a lot of false uninitialised value errors
in 10.7 system libraries as a result of an LLVM optimisation that
fools it.  A month back I landed a "fix" that gets rid of those on OSX
only, at some expense.  So recent V builds on OSX should be a lot
quieter.  https://bugs.kde.org/show_bug.cgi?id=242137 for the whole
sorry tale.

I also updated the default suppressions file to shut it up on errors
in the OSX system libraries that showed up running Fx.
Comment 3 Gary Kwong [:gkw] [:nth10sd] 2012-09-23 18:35:29 PDT
(just to clarify, suppression files are in build/valgrind in the repository, not mozilla/build/valgrind in the repository)

https://hg.mozilla.org/mozilla-central/rev/b2654d3d5c28

landed a lot of suppressions after tbpl Valgrind was upgraded to Valgrind 3.8.1.

(njn had a quick eyeball via IRC, thanks go out to khuey, njn, RyanVM, philor, Jesse, nthomas and whoever else I missed, for helping out in #developers)

Some false positives might still show up, because we have not yet enabled "--show-possibly-lost=no" as per bug 793509, and there might be more errors after the first 50MB of the log, since tbpl truncates logs to 50 MB for sanity purposes.
Comment 4 Gary Kwong [:gkw] [:nth10sd] 2012-09-24 01:28:40 PDT
I've landed the patch to fix bug 793509, so we now run Valgrind with "--show-possibly-lost=no" and "--smc-check=all-non-file".

I can't watch the m-c tree so I've landed more suppressions to mozilla-inbound:

https://hg.mozilla.org/integration/mozilla-inbound/rev/1d682c2055a4

So far, I've only updated the 64-bit suppression file with new suppressions due to bug 793584, and also removed the old suppressions which were circa-2010 from bug 493791.
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-09-24 17:57:04 PDT
https://hg.mozilla.org/mozilla-central/rev/1d682c2055a4
Comment 6 Gary Kwong [:gkw] [:nth10sd] 2012-09-26 01:11:05 PDT
https://hg.mozilla.org/mozilla-central/rev/2ff1abb80393
Comment 7 Gary Kwong [:gkw] [:nth10sd] 2012-09-26 13:03:48 PDT
https://hg.mozilla.org/mozilla-central/rev/212cf709135c
Comment 8 Gary Kwong [:gkw] [:nth10sd] 2012-09-26 13:07:17 PDT
Comment on attachment 568585 [details]
jesse's valgrind suppression file (for fuzzing)

We've constructed new Valgrind suppression files for issues that show up during tbpl runs, they are located at:

http://mxr.mozilla.org/mozilla-central/source/build/valgrind/
Comment 9 Gary Kwong [:gkw] [:nth10sd] 2012-09-26 18:55:40 PDT
https://hg.mozilla.org/mozilla-central/rev/4c99e254b831
Comment 10 Gary Kwong [:gkw] [:nth10sd] 2012-09-27 23:26:32 PDT
https://hg.mozilla.org/mozilla-central/rev/bd2349429495
Comment 11 Gary Kwong [:gkw] [:nth10sd] 2012-09-28 10:50:15 PDT
https://hg.mozilla.org/mozilla-central/rev/ed5f37774104
Comment 12 Gary Kwong [:gkw] [:nth10sd] 2012-09-29 13:27:30 PDT
https://hg.mozilla.org/mozilla-central/rev/cd82278e2bb8
Comment 14 Gary Kwong [:gkw] [:nth10sd] 2012-10-02 16:14:28 PDT
https://hg.mozilla.org/mozilla-central/rev/965f6dc789be
Comment 15 Gary Kwong [:gkw] [:nth10sd] 2012-10-03 12:10:46 PDT
https://hg.mozilla.org/mozilla-central/rev/da6230dfa32e
Comment 16 Gary Kwong [:gkw] [:nth10sd] 2012-10-03 13:37:01 PDT
https://hg.mozilla.org/mozilla-central/rev/1a2f506b1a92
Comment 17 Gary Kwong [:gkw] [:nth10sd] 2012-10-08 10:32:51 PDT
https://hg.mozilla.org/mozilla-central/rev/2704e441363f
Comment 18 Gary Kwong [:gkw] [:nth10sd] 2012-10-11 14:43:10 PDT
As of:

https://tbpl.mozilla.org/?noignore=1&jobname=valgrind&rev=2fae8bd461da

we are all green!

Resolving FIXED since all known leaks have been suppressed.

Note You need to log in before you can comment on or make changes to this bug.